package domain

type AlibabaWdkMarketingOpenVersionApplyWdkMarketOpenResult struct {
	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   发布结果     */
	Success *bool `json:"success,omitempty" `

	/*
	   错误描述     */
	Message *string `json:"message,omitempty" `

	/*
	   版本信息     */
	Data *AlibabaWdkMarketingOpenVersionApplySyncVersionBo `json:"data,omitempty" `
}

func (s *AlibabaWdkMarketingOpenVersionApplyWdkMarketOpenResult) SetErrorCode(v string) *AlibabaWdkMarketingOpenVersionApplyWdkMarketOpenResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingOpenVersionApplyWdkMarketOpenResult) SetSuccess(v bool) *AlibabaWdkMarketingOpenVersionApplyWdkMarketOpenResult {
	s.Success = &v
	return s
}
func (s *AlibabaWdkMarketingOpenVersionApplyWdkMarketOpenResult) SetMessage(v string) *AlibabaWdkMarketingOpenVersionApplyWdkMarketOpenResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingOpenVersionApplyWdkMarketOpenResult) SetData(v AlibabaWdkMarketingOpenVersionApplySyncVersionBo) *AlibabaWdkMarketingOpenVersionApplyWdkMarketOpenResult {
	s.Data = &v
	return s
}
